Bug 468316 - RFE: Need an online help brand in Publican.
RFE: Need an online help brand in Publican.
Status: CLOSED WONTFIX
Product: Publican
Classification: Community
Component: publican (Show other bugs)
2.0
All Linux
urgent Severity medium
: ---
: ---
Assigned To: Michael Hideo
Joshua Wulf
: Documentation
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-23 22:13 EDT by Susan Burgess
Modified: 2014-10-19 18:56 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-30 20:57:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Susan Burgess 2008-10-23 22:13:57 EDT
Description of problem:
Need a brand that will format online help for web applications, such as ovirt in a user-friendly fashion.

Version-Release number of selected component (if applicable):

How reproducible:
On clicking the Help button on the web UI, the help documentation appears as html pages, in the format of a book, with a TOC, numbered chapters and sections.

Steps to Reproduce:
1. Click Help button
2. Document displays in a standard "book" format.
  
Actual results:
Clicking the Help button displays document that is formatted and delivered as a book.

Expected results:
Clicking the Help button should display document that is formatted and delivered as online help.

1.TOC should be in the left hand frame as is currently  done in for the desktop versions
2. HTML output should be chunked so as to deliver only the relevant information
3. Numbering should be removed from all section  headings
4. Search and Index tags should be available in the TOC panel
5. Users should be able to search from within the TOC panel
6. Every page should have the navigation buttons
7. Document Conventions should be removed from the Common Content for online help.
8. Open in its own browser window with virtually no chrome.
9. Help window should be resizable, but with a fixed minimum width
10.User should be able to can view both the app and the help at the same time.


Additional info:
Comment 1 Jeff Fearn 2008-10-23 22:28:19 EDT
This would take approximately 2 to 3 weeks of dedicated effort to achieve.

The idea is, IMHO, deeply flawed.

Assigning to mhideo for assessment.

Mike, if you want this done you will need to clear the time allocation with kbaker.

Added Kev to CC.
Comment 2 Jeff Fearn 2008-11-24 01:28:46 EST
Removing public list from internal bug.
Comment 3 Michael Hideo 2009-06-16 21:43:18 EDT
will look at this after docs.redhat.com goes live. - Mike
Comment 5 Michael Hideo 2009-09-30 20:57:57 EDT
Closing as WONTFIX for now.

Note You need to log in before you can comment on or make changes to this bug.